From c2d7d65eecd1d18f472744c4fae7fe0b1e296718 Mon Sep 17 00:00:00 2001
From: Neil Birkbeck <neil.birkbeck@gmail.com>
Date: Tue, 31 May 2016 21:35:06 -0700
Subject: [PATCH] Adding code points for latest transfer characteristics using
 the same naming convention as in x265.

Add support for transfer characteristic code points that are used
in HDR video. The names (and values) are common to those in x265.
---
 encoder/set.c | 2 +-
 x264.c        | 3 ++-
 x264.h        | 2 +-
 3 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/encoder/set.c b/encoder/set.c
index 63560db..ce02bdd 100644
--- a/encoder/set.c
+++ b/encoder/set.c
@@ -210,7 +210,7 @@ void x264_sps_init( x264_sps_t *sps, int i_id, x264_param_t *param )
     sps->vui.b_color_description_present = 0;
 
     sps->vui.i_colorprim = ( param->vui.i_colorprim >= 0 && param->vui.i_colorprim <=  9 ? param->vui.i_colorprim : 2 );
-    sps->vui.i_transfer  = ( param->vui.i_transfer  >= 0 && param->vui.i_transfer  <= 15 ? param->vui.i_transfer  : 2 );
+    sps->vui.i_transfer  = ( param->vui.i_transfer  >= 0 && param->vui.i_transfer  <= 18 ? param->vui.i_transfer  : 2 );
     sps->vui.i_colmatrix = ( param->vui.i_colmatrix >= 0 && param->vui.i_colmatrix <= 10 ? param->vui.i_colmatrix :
                            ( csp >= X264_CSP_BGR ? 0 : 2 ) );
     if( sps->vui.i_colorprim != 2 ||
diff --git a/x264.c b/x264.c
index b952071..1a2780c 100644
--- a/x264.c
+++ b/x264.c
@@ -851,7 +851,8 @@ static void help( x264_param_t *defaults, int longhelp )
         "                                  - undef, bt709, bt470m, bt470bg, smpte170m,\n"
         "                                    smpte240m, linear, log100, log316,\n"
         "                                    iec61966-2-4, bt1361e, iec61966-2-1,\n"
-        "                                    bt2020-10, bt2020-12\n",
+        "                                    bt2020-10, bt2020-12, smpte-st-2084,\n"
+        "                                    smpte-st-428, arib-std-b67\n",
                                        strtable_lookup( x264_transfer_names, defaults->vui.i_transfer ) );
     H2( "      --colormatrix <string>  Specify color matrix setting [\"%s\"]\n"
         "                                  - undef, bt709, fcc, bt470bg, smpte170m,\n"
diff --git a/x264.h b/x264.h
index 5581ab9..4b39d71 100644
--- a/x264.h
+++ b/x264.h
@@ -211,7 +211,7 @@ static const char * const x264_vidformat_names[] = { "component", "pal", "ntsc",
 static const char * const x264_fullrange_names[] = { "off", "on", 0 };
 static const char * const x264_colorprim_names[] = { "", "bt709", "undef", "", "bt470m", "bt470bg", "smpte170m", "smpte240m", "film", "bt2020", 0 };
 static const char * const x264_transfer_names[] = { "", "bt709", "undef", "", "bt470m", "bt470bg", "smpte170m", "smpte240m", "linear", "log100", "log316",
-                                                    "iec61966-2-4", "bt1361e", "iec61966-2-1", "bt2020-10", "bt2020-12", 0 };
+                                                    "iec61966-2-4", "bt1361e", "iec61966-2-1", "bt2020-10", "bt2020-12", "smpte-st-2084", "smpte-st-428", "arib-std-b67", 0 };
 static const char * const x264_colmatrix_names[] = { "GBR", "bt709", "undef", "", "fcc", "bt470bg", "smpte170m", "smpte240m", "YCgCo", "bt2020nc", "bt2020c", 0 };
 static const char * const x264_nal_hrd_names[] = { "none", "vbr", "cbr", 0 };
 
-- 
2.8.0.rc3.226.g39d4020

